Results 1 to 6 of 6

Thread: Nothing in Yast launches

  1. #1

    Default Nothing in Yast launches

    Installed 13.1 on my laptop and configured a whole bunch of things. Now for some reason, nothing in Yast will launch (like Software Manager or Firewall). Not sure what do to debug the issue...

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Nothing in Yast launches

    own3dbydsquared wrote:

    >
    > Installed 13.1 on my laptop and configured a whole bunch of things.

    Now
    > for some reason, nothing in Yast will launch (like Software Manager

    or
    > Firewall). Not sure what do to debug the issue...
    >
    >

    Can you please run this in a terminal

    Code:
    su -
    zypper patch
    once it's done
    run it again
    then reboot and try yast again

  3. #3

    Default Re: Nothing in Yast launches

    And please post the last lines of the file /var/log/YaST2/y2log, that should provide a clue why YaST doesn't work.

    Your repo list might come in handy as well:
    Code:
    zypper lr -d

  4. #4

    Default Re: Nothing in Yast launches

    Quote Originally Posted by caf4926 View Post
    Can you please run this in a terminal

    Code:
    su -
    zypper patch
    once it's done
    run it again
    then reboot and try yast again
    Ran it twice and rebooted still no go.

    Quote Originally Posted by wolfi323 View Post
    And please post the last lines of the file /var/log/YaST2/y2log, that should provide a clue why YaST doesn't work.

    Your repo list might come in handy as well:
    Code:
    zypper lr -d
    Sure, here are the last few lines:
    Code:
    2014-01-10 14:53:08 <1> devbook.site(2026) [liby2] genericfrontend.cc(main):764 YAST_IS_RUNNING is yes2014-01-10 14:53:09 <3> devbook.site(2026) [Y2Ruby] binary/YRuby.cc(callClient):238 cannot require yast:cannot load such file -- fast_gettext at /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
    2014-01-10 14:53:09 <1> devbook.site(2026) [liby2] genericfrontend.cc(main):778 Finished YaST2 component 'y2base'
    2014-01-10 14:53:09 <1> devbook.site(2026) [liby2] genericfrontend.cc(main):783 Exiting with client return value 'false'
    2014-01-10 15:50:13 <1> devbook.site(2879) [liby2] genericfrontend.cc(main):575 Launched YaST2 component 'y2base' 'sw_single' 'qt'
    2014-01-10 15:50:13 <1> devbook.site(2879) [ui-component] YUIComponentCreator.cc(createInternal):124 Creating UI component for ""
    2014-01-10 15:50:13 <1> devbook.site(2879) [liby2] genericfrontend.cc(main):764 YAST_IS_RUNNING is yes
    2014-01-10 15:50:13 <3> devbook.site(2879) [Y2Ruby] binary/YRuby.cc(callClient):238 cannot require yast:cannot load such file -- fast_gettext at /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
    2014-01-10 15:50:13 <1> devbook.site(2879) [liby2] genericfrontend.cc(main):778 Finished YaST2 component 'y2base'
    2014-01-10 15:50:13 <1> devbook.site(2879) [liby2] genericfrontend.cc(main):783 Exiting with client return value 'false'
    2014-01-11 06:22:54 <1> devbook.site(1827) [liby2] genericfrontend.cc(main):575 Launched YaST2 component 'y2base' 'sw_single' 'qt'
    2014-01-11 06:22:54 <1> devbook.site(1827) [ui-component] YUIComponentCreator.cc(createInternal):124 Creating UI component for ""
    2014-01-11 06:22:54 <1> devbook.site(1827) [liby2] genericfrontend.cc(main):764 YAST_IS_RUNNING is yes
    2014-01-11 06:22:54 <3> devbook.site(1827) [Y2Ruby] binary/YRuby.cc(callClient):238 cannot require yast:cannot load such file -- fast_gettext at /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
    2014-01-11 06:22:54 <1> devbook.site(1827) [liby2] genericfrontend.cc(main):778 Finished YaST2 component 'y2base'
    2014-01-11 06:22:54 <1> devbook.site(1827) [liby2] genericfrontend.cc(main):783 Exiting with client return value 'false'
    It appears to be an issue with Ruby? I am using RVM: http://rvm.io/ But why is Ruby trying to run with Yast? Doesn't make much sense.

    And my repo list:
    Code:
    # | Alias                     | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                   | Service--+---------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------+--------
    1 | openSUSE-13.1-1.10        | openSUSE-13.1-1.10                 | No      | Yes     |   99     | yast2  | hd:///?device=/dev/disk/by-id/usb-OCZ_DIESEL_50E6980C001774-0:0-part2 |        
    2 | repo-debug                | openSUSE-13.1-Debug                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/        |        
    3 | repo-debug-update         | openSUSE-13.1-Update-Debug         | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                       |        
    4 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/               |        
    5 | repo-non-oss              | openSUSE-13.1-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/          |        
    6 | repo-oss                  | openSUSE-13.1-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/              |        
    7 | repo-source               | openSUSE-13.1-Source               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/       |        
    8 | repo-update               | openSUSE-13.1-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                             |        
    9 | repo-update-non-oss       | openSUSE-13.1-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/
    Thanks for the help guys.

  5. #5

    Default Re: Nothing in Yast launches

    Quote Originally Posted by own3dbydsquared View Post
    It appears to be an issue with Ruby? I am using RVM: http://rvm.io/ But why is Ruby trying to run with Yast? Doesn't make much sense.
    YaST has been translated to ruby for 13.1. See here f.e.: http://news.opensuse.org/2013/10/10/...-yast-in-ruby/
    And it needs rubygem-fast_gettext to work.

    So either add that to your rvm installation (I am not sure if that would work), or remove the setting of the RUBY env vars from your login scripts (~/.bashrc, ~/.profile) to not overwrite the system's ruby locations.

    AFAICS RVM is just a system to install ruby modules?
    Then you could just as well install them globally with YaST instead. Use http://software.opensuse.org/search/ to search for packages if they are not available in the standard system repos.

  6. #6

    Default Re: Nothing in Yast launches

    Quote Originally Posted by wolfi323 View Post
    YaST has been translated to ruby for 13.1. See here f.e.: http://news.opensuse.org/2013/10/10/...-yast-in-ruby/
    And it needs rubygem-fast_gettext to work.

    So either add that to your rvm installation (I am not sure if that would work), or remove the setting of the RUBY env vars from your login scripts (~/.bashrc, ~/.profile) to not overwrite the system's ruby locations.

    AFAICS RVM is just a system to install ruby modules?
    Then you could just as well install them globally with YaST instead. Use http://software.opensuse.org/search/ to search for packages if they are not available in the standard system repos.
    Ah that makes sense. RVM is an manager for different versions of Ruby. You were right about the rubygem fast_gettext. So I installed that gem and everything is working now. I had installed the newest version of Ruby, 2.1. and therefore fast_gettext gem was missing. Usually I would use software management for ruby but in my experiences in the past, Ruby versions are slow to update.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •